Tracking bug for Firefox 7 transition in Natty

Bug #857098 reported by Micah Gersten on 2011-09-23
262
This bug affects 1 person
Affects Status Importance Assigned to Milestone
bindwood (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Micah Gersten
firefox (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Micah Gersten
mozvoikko (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Micah Gersten
ubufox (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Micah Gersten
webfav (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Micah Gersten

Bug Description

USN Info: http://www.ubuntu.com/usn/usn-1222-1, http://www.ubuntu.com/usn/usn-1222-2

Tracking what we need for migrating to Firefox 7 in natty. USN information will be posted here after release.
Release day is planned for Sept 27. Packages will be staged in ppa:ubuntu-mozilla-security/ppa for those who wish to test.

Micah Gersten (micahg) on 2011-09-23
visibility: private → public
description: updated
Changed in firefox (Ubuntu):
status: New → Invalid
Changed in firefox (Ubuntu Natty):
status: New → In Progress
assignee: nobody → Micah Gersten (micahg)
Changed in webfav (Ubuntu):
status: New → Invalid
Changed in webfav (Ubuntu Natty):
status: New → In Progress
assignee: nobody → Micah Gersten (micahg)
Changed in bindwood (Ubuntu):
status: New → Invalid
Changed in bindwood (Ubuntu Natty):
status: New → In Progress
assignee: nobody → Micah Gersten (micahg)
Changed in ubufox (Ubuntu):
status: New → Invalid
Changed in ubufox (Ubuntu Natty):
status: New → In Progress
assignee: nobody → Micah Gersten (micahg)
Changed in mozvoikko (Ubuntu):
status: New → Invalid
Changed in mozvoikko (Ubuntu Natty):
assignee: nobody → Micah Gersten (micahg)
status: New → In Progress
Micah Gersten (micahg) on 2011-09-26
Changed in bindwood (Ubuntu Natty):
status: In Progress → Fix Committed
Changed in firefox (Ubuntu Natty):
status: In Progress → Fix Committed
Changed in mozvoikko (Ubuntu Natty):
status: In Progress → Fix Committed
Micah Gersten (micahg) on 2011-09-26
Changed in ubufox (Ubuntu Natty):
status: In Progress → Fix Committed
Roman Yepishev (rye) wrote :

Tested the package from ppa:ubuntu-mozilla-security/ppa and found bindwood extension working properly. Earlier versions failed to initialize properly due to LP:789107

Micah Gersten (micahg) on 2011-09-26
Changed in webfav (Ubuntu Natty):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozvoikko - 1.10.0-0ubuntu0.11.04.1

---------------
mozvoikko (1.10.0-0ubuntu0.11.04.1) natty-security; urgency=low

  * Update from SVN snapshot to latest stable release
  * Refresh patches:
    - update debian/patches/port_to_latest_firefox.patch
    - update debian/patches/fix_sdk_build.patch
  * Add an apport hook which just calls up the Firefox hook
    - add debian/source.apport
    - update debian/rules
    - update debian/control to add dh-apport build-depend
  * Bump maxVersion to 7.* (LP: #857098)
    - update debian/patches/port_to_latest_firefox.patch
  * Don't clobber CFLAGS, else we end up with no debug symbols
    - update debian/rules
 -- Chris Coulson <email address hidden> Mon, 26 Sep 2011 02:11:55 -0500

Changed in mozvoikko (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubufox - 0.9.2-0ubuntu0.11.04.1

---------------
ubufox (0.9.2-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream release v0.9.2 (LP: #857098)
    - Bump maxVersion to 8.*
 -- Chris Coulson <email address hidden> Mon, 26 Sep 2011 02:42:22 -0500

Changed in ubufox (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webfav - 1.17-0ubuntu5.2

---------------
webfav (1.17-0ubuntu5.2) natty-security; urgency=low

  * Bump maxVersion to 9.* (LP: #857098)
 -- Chris Coulson <email address hidden> Mon, 26 Sep 2011 15:43:25 -0500

Changed in webfav (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (4.8 KiB)

This bug was fixed in the package firefox - 7.0.1+build1+nobinonly-0ubuntu0.11.04.1

---------------
firefox (7.0.1+build1+nobinonly-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release v7.0.1 (FIREFOX_7_0_1_BUILD1)

  * Add Mongolian and Swahili to locale blacklist. These aren't meant to be
    built on the release channel, but they still appear in the upstream
    shipped-locales
    - update debian/locales.blacklist

firefox (7.0+build2+nobinonly-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (FIREFOX_7_0_BUILD2)
    - fix LP: #789198 - Firefox crashes when attempting to play webm video on
      ARM with Thumb2 enabled
    - see LP: #857098 for USN information

  [ Chris Coulson <email address hidden> ]
  * Rewrite the apport hook to be more useful
    - update debian/apport/firefox.py.in
  * Ship a file in /etc/apport/native-origins.d to enable bug reporting
    on PPA branches
    - add debian/apport/native-origins.in
    - rename debian/apport/firefox.in => debian/apport/blacklist.in
    - update debian/rules
    - update debian/firefox.install.in
    - update debian/firefox.dirs.in
  * Update the apport blacklist file now that the binary name has changed
    - update debian/apport/firefox.in
  * Dropped patches which are obsolete/fixed upstream
    - remove debian/patches/cairo-lcd-filter.patch
    - remove debian/patches/fix-sdk-bin-install.patch
    - update debian/patches/series
  * Refresh patches
    - update debian/patches/firefox-kde.patch
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/reload-new-plugins.patch
  * Look in the correct location for the staged langpack xpi's. They moved
    from dist/install to dist/linux-$(DEB_HOST_GNU_CPU)
    - update debian/rules
  * Simplify firefox-dev.install a bit by installing everything in
    /usr/include
    - update debian/firefox-dev.install.in
  * Handle video/webm mimetypes
    - update debian/firefox.desktop.in
  * Fix check-sync-dirs.py test failure - ensure config/system-headers and
    js/src/config/system-headers are kept in sync
    - update debian/patches/unity-globalmenu-build-support-patch
  * Fix browserGlue_distribution.js and browserGlue_smartBookmarks.js xpcshell
    test failures. Update DEFAULT_BOOKMARKS_ON_MENU with the correct number of
    default bookmarks
    - update debian/patches/ubuntu-bookmarks.patch
  * Fix jsreftest failures by setting the correct timezone and locale
    - update debian/testsuite.mk
  * Switch off debian/patches/fix-selection-drag-autoscroll.patch for now. This
    code has been completely rewritten in Firefox 7
    - update debian/patches/series
  * Fix "format not a string literal and no format arguments" error
   - add debian/patches/printf-fix.patch
   - update debian/patches/series
  * Update for the binary name change
    - update debian/firefox.install.in
    - update debian/firefox.sh.in
  * Ensure we install dependentlibs.list so that Firefox knows which libs
    to dlopen before libxul
    - update debian/firefox.install.in
  * Get rid of some more hanging IPC xpcshell tests
    - update debian/testsuite.mk
  * Now Firefox lazy loads libxu...

Read more...

Changed in firefox (Ubuntu Natty):
status: Fix Committed → Fix Released
Jamie Strandboge (jdstrand) wrote :

bindwood updated in 1.99.0-0ubuntu1.2.

Changed in bindwood (Ubuntu Natty):
status: Fix Committed → Fix Released
Micah Gersten (micahg) on 2011-10-04
description: updated
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers